/*
* ui_mainwindow.h
*
* Copyright (C) 2008 Mike Gist, Jan Hosang, Daniel Burrell, Dave Lawrence, Andrew Slater
*
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation (version 2 of the License)
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*/

/********************************************************************************
** Form generated from reading ui file 'mainwindow.ui'
**
** Created: Sun 4. Jan 03:43:11 2009
**      by: Qt User Interface Compiler version 4.4.3
**
** WARNING! All changes made in this file will be lost when recompiling ui file!
********************************************************************************/
#ifndef UI_MAINWINDOW_H
#define UI_MAINWINDOW_H

//====================================================================================
// QT Includes
//====================================================================================
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGraphicsView>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLineEdit>
#include <QtGui/QListView>
#include <QtGui/QMainWindow>
#include <QtGui/QMenu>
#include <QtGui/QMenuBar>
#include <QtGui/QPushButton>
#include <QtGui/QStatusBar>
#include <QtGui/QTextEdit>
#include <QtGui/QToolBar>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

//====================================================================================
// Project Includes
//====================================================================================
#include "log/log.h"

//====================================================================================
// Local Includes
//====================================================================================
#include "BoardModel.h"
#include "ChatController.h"
#include "BoardController.h"

//------------------------------------------------------------------------------------
// Forward Declarations and Preprocessor Definitions
//------------------------------------------------------------------------------------

QT_BEGIN_NAMESPACE

class Ui_MainWindowClass
{
public:
  //additions
  QGraphicsScene *graphicsScene;
  ChatController *chatController;
  BoardController *boardController;
  QButtonGroup *toolbox;
  //stop additions

  QAction *actionResume_Session;
  QAction *actionSave_Session;
  QAction *actionExport_Canvas;
  QAction *actionExit;
  QAction *actionUndo;
  QAction *actionRedo;
  QAction *actionHistory;
  QAction *actionStart_new_session;
  QAction *actionJoin_existing_session;
  QAction *actionHelp;
  QAction *actionAbout;
  QAction *actionFast_connection;
  QAction *actionSlow_connection;
  QWidget *centralWidget;
  QVBoxLayout *verticalLayout_4;
  QVBoxLayout *verticalLayout_3;
  QHBoxLayout *horizontalLayout_6;
  QGroupBox *groupBox;
  QGridLayout *gridLayout;
  QPushButton *selectButton;
  QPushButton *eraseButton;
  QPushButton *rectButton;
  QPushButton *ellipseButton;
  QPushButton *lineButton;
  QPushButton *textButton;
  QPushButton *freehandButton;
  QPushButton *moveButton;
  QGraphicsView *graphicsView;
  QHBoxLayout *horizontalLayout;
  QVBoxLayout *verticalLayout;
  QTextEdit *chatViewOutput;
  QHBoxLayout *horizontalLayout_3;
  QLineEdit *chatViewInput;
  QPushButton *chatViewSend;
  QVBoxLayout *verticalLayout_2;
  QListView *sessionView;
  QMenuBar *menuBar;
  QMenu *menuFile;
  QMenu *menuSession;
  QMenu *menuView;
  QMenu *menuSession_2;
  QMenu *menuHelp;
  QMenu *menuOptions;
  QToolBar *mainToolBar;
  QStatusBar *statusBar;


  void setupUi(QMainWindow *MainWindowClass)
  {
    //start addition
    graphicsScene = new BoardModel();
    //end addition

    if (MainWindowClass->objectName().isEmpty())
      MainWindowClass->setObjectName(QString::fromUtf8("MainWindowClass"));
    MainWindowClass->resize(600, 472);
    actionResume_Session = new QAction(MainWindowClass);
    actionResume_Session->setObjectName(QString::fromUtf8("actionResume_Session"));
    QIcon icon;
    icon.addPixmap(QPixmap(QString::fromUtf8("./resources/redo16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionResume_Session->setIcon(icon);
    actionResume_Session->setIconVisibleInMenu(true);
    actionSave_Session = new QAction(MainWindowClass);
    actionSave_Session->setObjectName(QString::fromUtf8("actionSave_Session"));
    QIcon icon1;
    icon1.addPixmap(QPixmap(QString::fromUtf8("./resources/save16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionSave_Session->setIcon(icon1);
    actionExport_Canvas = new QAction(MainWindowClass);
    actionExport_Canvas->setObjectName(QString::fromUtf8("actionExport_Canvas"));
    QIcon icon2;
    icon2.addPixmap(QPixmap(QString::fromUtf8("./resources/save_green16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionExport_Canvas->setIcon(icon2);
    actionExit = new QAction(MainWindowClass);
    actionExit->setObjectName(QString::fromUtf8("actionExit"));
    QIcon icon3;
    icon3.addPixmap(QPixmap(QString::fromUtf8("./resources/delete_x16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionExit->setIcon(icon3);
    actionUndo = new QAction(MainWindowClass);
    actionUndo->setObjectName(QString::fromUtf8("actionUndo"));
    QIcon icon4;
    icon4.addPixmap(QPixmap(QString::fromUtf8("./resources/undo16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionUndo->setIcon(icon4);
    actionRedo = new QAction(MainWindowClass);
    actionRedo->setObjectName(QString::fromUtf8("actionRedo"));
    actionRedo->setIcon(icon);
    actionHistory = new QAction(MainWindowClass);
    actionHistory->setObjectName(QString::fromUtf8("actionHistory"));
    QIcon icon5;
    icon5.addPixmap(QPixmap(QString::fromUtf8("./resources/history16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionHistory->setIcon(icon5);
    actionStart_new_session = new QAction(MainWindowClass);
    actionStart_new_session->setObjectName(QString::fromUtf8("actionStart_new_session"));
    QIcon icon6;
    icon6.addPixmap(QPixmap(QString::fromUtf8("./resources/new_document16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionStart_new_session->setIcon(icon6);
    actionJoin_existing_session = new QAction(MainWindowClass);
    actionJoin_existing_session->setObjectName(QString::fromUtf8("actionJoin_existing_session"));
    QIcon icon7;
    icon7.addPixmap(QPixmap(QString::fromUtf8("./resources/home_yellow16_h.bmp")), QIcon::Normal, QIcon::Off);
    actionJoin_existing_session->setIcon(icon7);
    actionHelp = new QAction(MainWindowClass);
    actionHelp->setObjectName(QString::fromUtf8("actionHelp"));
    actionAbout = new QAction(MainWindowClass);
    actionAbout->setObjectName(QString::fromUtf8("actionAbout"));
    actionFast_connection = new QAction(MainWindowClass);
    actionFast_connection->setObjectName(QString::fromUtf8("actionFast_connection"));
    actionSlow_connection = new QAction(MainWindowClass);
    actionSlow_connection->setObjectName(QString::fromUtf8("actionSlow_connection"));
    centralWidget = new QWidget(MainWindowClass);
    centralWidget->setObjectName(QString::fromUtf8("centralWidget"));
    verticalLayout_4 = new QVBoxLayout(centralWidget);
    verticalLayout_4->setSpacing(6);
    verticalLayout_4->setMargin(11);
    verticalLayout_4->setObjectName(QString::fromUtf8("verticalLayout_4"));
    verticalLayout_3 = new QVBoxLayout();
    verticalLayout_3->setSpacing(6);
    verticalLayout_3->setObjectName(QString::fromUtf8("verticalLayout_3"));
    horizontalLayout_6 = new QHBoxLayout();
    horizontalLayout_6->setSpacing(6);
    horizontalLayout_6->setObjectName(QString::fromUtf8("horizontalLayout_6"));
    groupBox = new QGroupBox(centralWidget);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    groupBox->setFlat(false);
    groupBox->setCheckable(false);
    gridLayout = new QGridLayout(groupBox);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    selectButton = new QPushButton(groupBox);
    selectButton->setObjectName(QString::fromUtf8("selectButton"));
    QIcon icon8;
    icon8.addPixmap(QPixmap(QString::fromUtf8("./resources/select.bmp")), QIcon::Normal, QIcon::Off);
    selectButton->setIcon(icon8);
    selectButton->setCheckable(true);
    selectButton->setFlat(true);

    gridLayout->addWidget(selectButton, 0, 0, 1, 1);

    eraseButton = new QPushButton(groupBox);
    eraseButton->setObjectName(QString::fromUtf8("eraseButton"));
    QIcon icon9;
    icon9.addPixmap(QPixmap(QString::fromUtf8("./resources/erase.bmp")), QIcon::Normal, QIcon::Off);
    eraseButton->setIcon(icon9);
    eraseButton->setCheckable(true);
    eraseButton->setFlat(true);

    gridLayout->addWidget(eraseButton, 2, 0, 1, 1);

    rectButton = new QPushButton(groupBox);
    rectButton->setObjectName(QString::fromUtf8("rectButton"));
    QIcon icon10;
    icon10.addPixmap(QPixmap(QString::fromUtf8("./resources/square.bmp")), QIcon::Normal, QIcon::Off);
    rectButton->setIcon(icon10);
    rectButton->setCheckable(true);
    rectButton->setFlat(true);

    gridLayout->addWidget(rectButton, 3, 0, 1, 1);

    ellipseButton = new QPushButton(groupBox);
    ellipseButton->setObjectName(QString::fromUtf8("ellipseButton"));
    QIcon icon11;
    icon11.addPixmap(QPixmap(QString::fromUtf8("./resources/ellipse.bmp")), QIcon::Normal, QIcon::Off);
    ellipseButton->setIcon(icon11);
    ellipseButton->setCheckable(true);
    ellipseButton->setFlat(true);

    gridLayout->addWidget(ellipseButton, 4, 0, 1, 1);

    lineButton = new QPushButton(groupBox);
    lineButton->setObjectName(QString::fromUtf8("lineButton"));
    QIcon icon12;
    icon12.addPixmap(QPixmap(QString::fromUtf8("./resources/line.bmp")), QIcon::Normal, QIcon::Off);
    lineButton->setIcon(icon12);
    lineButton->setCheckable(true);
    lineButton->setFlat(true);

    gridLayout->addWidget(lineButton, 5, 0, 1, 1);

    textButton = new QPushButton(groupBox);
    textButton->setObjectName(QString::fromUtf8("textButton"));
    QIcon icon13;
    icon13.addPixmap(QPixmap(QString::fromUtf8("./resources/text.bmp")), QIcon::Normal, QIcon::Off);
    textButton->setIcon(icon13);
    textButton->setCheckable(true);
    textButton->setFlat(true);

    gridLayout->addWidget(textButton, 6, 0, 1, 1);

    freehandButton = new QPushButton(groupBox);
    freehandButton->setObjectName(QString::fromUtf8("freehandButton"));
    QIcon icon14;
    icon14.addPixmap(QPixmap(QString::fromUtf8("./resources/freehand.bmp")), QIcon::Normal, QIcon::Off);
    freehandButton->setIcon(icon14);
    freehandButton->setCheckable(true);
    freehandButton->setFlat(true);

    gridLayout->addWidget(freehandButton, 7, 0, 1, 1);

    moveButton = new QPushButton(groupBox);
    moveButton->setObjectName(QString::fromUtf8("moveButton"));
    QIcon icon15;
    icon15.addPixmap(QPixmap(QString::fromUtf8("./resources/move.bmp")), QIcon::Normal, QIcon::Off);
    moveButton->setIcon(icon15);
    moveButton->setCheckable(true);
    moveButton->setFlat(true);

    gridLayout->addWidget(moveButton, 1, 0, 1, 1);


    horizontalLayout_6->addWidget(groupBox);
    //start mod
    toolbox = new QButtonGroup();
    toolbox->addButton(this->rectButton);
    toolbox->addButton(this->ellipseButton);
    toolbox->addButton(this->lineButton);
    toolbox->addButton(this->textButton);
    toolbox->addButton(this->freehandButton);
    toolbox->addButton(this->eraseButton);
    toolbox->addButton(this->selectButton);
    toolbox->addButton(this->moveButton);

    graphicsView = new QGraphicsView(graphicsScene,centralWidget);
    //endmod
    graphicsView->setObjectName(QString::fromUtf8("graphicsView"));

    horizontalLayout_6->addWidget(graphicsView);


    verticalLayout_3->addLayout(horizontalLayout_6);

    horizontalLayout = new QHBoxLayout();
    horizontalLayout->setSpacing(6);
    horizontalLayout->setObjectName(QString::fromUtf8("horizontalLayout"));
    verticalLayout = new QVBoxLayout();
    verticalLayout->setSpacing(6);
    verticalLayout->setObjectName(QString::fromUtf8("verticalLayout"));
    chatViewOutput = new QTextEdit(centralWidget);
    chatViewOutput->setObjectName(QString::fromUtf8("chatViewOutput"));
    chatViewOutput->setMinimumSize(QSize(460, 0));
    chatViewOutput->setMaximumSize(QSize(16777215, 150));
    chatViewOutput->setReadOnly(true);


    verticalLayout->addWidget(chatViewOutput);

    horizontalLayout_3 = new QHBoxLayout();
    horizontalLayout_3->setSpacing(6);
    horizontalLayout_3->setObjectName(QString::fromUtf8("horizontalLayout_3"));
    chatViewInput = new QLineEdit(centralWidget);
    chatViewInput->setObjectName(QString::fromUtf8("chatViewInput"));

    horizontalLayout_3->addWidget(chatViewInput);

    chatViewSend = new QPushButton(centralWidget);
    chatViewSend->setObjectName(QString::fromUtf8("chatViewSend"));

    horizontalLayout_3->addWidget(chatViewSend);


    verticalLayout->addLayout(horizontalLayout_3);


    horizontalLayout->addLayout(verticalLayout);

    verticalLayout_2 = new QVBoxLayout();
    verticalLayout_2->setSpacing(6);
    verticalLayout_2->setObjectName(QString::fromUtf8("verticalLayout_2"));
    sessionView = new QListView(centralWidget);
    sessionView->setEnabled(true);
    sessionView->setViewMode(QListView::ListMode);
    sessionView->setObjectName(QString::fromUtf8("sessionView"));
    sessionView->setMinimumSize(QSize(80, 0));
    sessionView->setMaximumSize(QSize(120, 140));


    verticalLayout_2->addWidget(sessionView);


    horizontalLayout->addLayout(verticalLayout_2);


    verticalLayout_3->addLayout(horizontalLayout);


    verticalLayout_4->addLayout(verticalLayout_3);

    MainWindowClass->setCentralWidget(centralWidget);
    menuBar = new QMenuBar(MainWindowClass);
    menuBar->setObjectName(QString::fromUtf8("menuBar"));
    menuBar->setGeometry(QRect(0, 0, 600, 21));
    menuFile = new QMenu(menuBar);
    menuFile->setObjectName(QString::fromUtf8("menuFile"));
    menuSession = new QMenu(menuBar);
    menuSession->setObjectName(QString::fromUtf8("menuSession"));
    menuView = new QMenu(menuBar);
    menuView->setObjectName(QString::fromUtf8("menuView"));
    menuSession_2 = new QMenu(menuBar);
    menuSession_2->setObjectName(QString::fromUtf8("menuSession_2"));
    menuOptions = new QMenu(menuBar);
    menuOptions->setObjectName(QString::fromUtf8("menuOptions"));
    menuHelp = new QMenu(menuBar);
    menuHelp->setObjectName(QString::fromUtf8("menuHelp"));
    MainWindowClass->setMenuBar(menuBar);
    mainToolBar = new QToolBar(MainWindowClass);
    mainToolBar->setObjectName(QString::fromUtf8("mainToolBar"));
    MainWindowClass->addToolBar(Qt::TopToolBarArea, mainToolBar);
    statusBar = new QStatusBar(MainWindowClass);
    statusBar->setObjectName(QString::fromUtf8("statusBar"));
    MainWindowClass->setStatusBar(statusBar);

    menuBar->addAction(menuFile->menuAction());
    menuBar->addAction(menuSession->menuAction());
    menuBar->addAction(menuView->menuAction());
    menuBar->addAction(menuSession_2->menuAction());
    menuBar->addAction(menuOptions->menuAction());
    menuBar->addAction(menuHelp->menuAction());

    menuFile->addAction(actionResume_Session);
    menuFile->addAction(actionSave_Session);
    menuFile->addSeparator();
    menuFile->addAction(actionExport_Canvas);
    menuFile->addSeparator();
    menuFile->addAction(actionExit);
    menuSession->addAction(actionUndo);
    menuSession->addAction(actionRedo);
    menuView->addAction(actionHistory);
    menuSession_2->addAction(actionStart_new_session);
    menuSession_2->addAction(actionJoin_existing_session);
    menuHelp->addAction(actionHelp);
    menuHelp->addSeparator();
    menuHelp->addAction(actionAbout);
    menuOptions->addAction(actionFast_connection);
    menuOptions->addAction(actionSlow_connection);
    mainToolBar->addSeparator();

    retranslateUi(MainWindowClass);

    QMetaObject::connectSlotsByName(MainWindowClass);
  } // setupUi

  void retranslateUi(QMainWindow *MainWindowClass)
  {
    MainWindowClass->setWindowTitle(QApplication::translate("MainWindowClass", "MainWindow", 0, QApplication::UnicodeUTF8));
    actionResume_Session->setText(QApplication::translate("MainWindowClass", "Resume Session", 0, QApplication::UnicodeUTF8));

#ifndef QT_NO_TOOLTIP
    actionResume_Session->setToolTip(QApplication::translate("MainWindowClass", "Resume a session saved to disk", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP

    actionResume_Session->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+O", 0, QApplication::UnicodeUTF8));
    actionSave_Session->setText(QApplication::translate("MainWindowClass", "Save Session", 0, QApplication::UnicodeUTF8));

#ifndef QT_NO_TOOLTIP
    actionSave_Session->setToolTip(QApplication::translate("MainWindowClass", "Save this current session to a file on disk", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP

    actionSave_Session->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+S", 0, QApplication::UnicodeUTF8));
    actionExport_Canvas->setText(QApplication::translate("MainWindowClass", "Export Canvas", 0, QApplication::UnicodeUTF8));
    actionExport_Canvas->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+E", 0, QApplication::UnicodeUTF8));
    actionExit->setText(QApplication::translate("MainWindowClass", "Exit", 0, QApplication::UnicodeUTF8));
    actionUndo->setText(QApplication::translate("MainWindowClass", "Undo", 0, QApplication::UnicodeUTF8));

#ifndef QT_NO_TOOLTIP
    actionUndo->setToolTip(QApplication::translate("MainWindowClass", "Undo your last action", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP

    actionUndo->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+Z", 0, QApplication::UnicodeUTF8));
    actionRedo->setText(QApplication::translate("MainWindowClass", "Redo", 0, QApplication::UnicodeUTF8));
    actionRedo->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+Shift+Z", 0, QApplication::UnicodeUTF8));
    actionHistory->setText(QApplication::translate("MainWindowClass", "History", 0, QApplication::UnicodeUTF8));
    actionHistory->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+H", 0, QApplication::UnicodeUTF8));
    actionStart_new_session->setText(QApplication::translate("MainWindowClass", "Start new session", 0, QApplication::UnicodeUTF8));
    actionStart_new_session->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+N", 0, QApplication::UnicodeUTF8));
    actionJoin_existing_session->setText(QApplication::translate("MainWindowClass", "Join existing session", 0, QApplication::UnicodeUTF8));
    actionJoin_existing_session->setShortcut(QApplication::translate("MainWindowClass", "Ctrl+J", 0, QApplication::UnicodeUTF8));
    actionHelp->setText(QApplication::translate("MainWindowClass", "Help", 0, QApplication::UnicodeUTF8));
    actionHelp->setShortcut(QApplication::translate("MainWindowClass", "F1", 0, QApplication::UnicodeUTF8));
    actionAbout->setText(QApplication::translate("MainWindowClass", "About", 0, QApplication::UnicodeUTF8));
    actionFast_connection->setText(QApplication::translate("MainWindowClass", "Fast connection", 0, QApplication::UnicodeUTF8));
    actionSlow_connection->setText(QApplication::translate("MainWindowClass", "Slow connection", 0, QApplication::UnicodeUTF8));

    groupBox->setTitle(QApplication::translate("MainWindowClass", "Tools", 0, QApplication::UnicodeUTF8));
    selectButton->setText(QApplication::translate("MainWindowClass", "Select", 0, QApplication::UnicodeUTF8));
    eraseButton->setText(QApplication::translate("MainWindowClass", "Erase", 0, QApplication::UnicodeUTF8));
    rectButton->setText(QApplication::translate("MainWindowClass", "Rectangle", 0, QApplication::UnicodeUTF8));
    ellipseButton->setText(QApplication::translate("MainWindowClass", "Ellipse", 0, QApplication::UnicodeUTF8));
    lineButton->setText(QApplication::translate("MainWindowClass", "Line", 0, QApplication::UnicodeUTF8));
    textButton->setText(QApplication::translate("MainWindowClass", "Text", 0, QApplication::UnicodeUTF8));
    freehandButton->setText(QApplication::translate("MainWindowClass", "Freehand", 0, QApplication::UnicodeUTF8));
    moveButton->setText(QApplication::translate("MainWindowClass", "Move", 0, QApplication::UnicodeUTF8));
    chatViewSend->setText(QApplication::translate("MainWindowClass", "Send", 0, QApplication::UnicodeUTF8));
    menuFile->setTitle(QApplication::translate("MainWindowClass", "File", 0, QApplication::UnicodeUTF8));
    menuSession->setTitle(QApplication::translate("MainWindowClass", "Edit", 0, QApplication::UnicodeUTF8));
    menuView->setTitle(QApplication::translate("MainWindowClass", "View", 0, QApplication::UnicodeUTF8));
    menuSession_2->setTitle(QApplication::translate("MainWindowClass", "Session", 0, QApplication::UnicodeUTF8));
    menuHelp->setTitle(QApplication::translate("MainWindowClass", "Help", 0, QApplication::UnicodeUTF8));
    menuOptions->setTitle(QApplication::translate("MainWindowClass", "Options", 0, QApplication::UnicodeUTF8));
  } // retranslateUi

};

namespace Ui {
  class MainWindowClass: public Ui_MainWindowClass {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_MAINWINDOW_H
