/*
* ipacketreceiver.h
*
* Copyright (C) 2008 Mike Gist, Jan Hosang, Dan Burrell, Dave Lawrence, Andrew Slater
*
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation (version 2 of the License)
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*/

#ifndef __I_PACKET_RECEIVER_H__
#define __I_PACKET_RECEIVER_H__

//------------------------------------------------------------------------------------
// Forward Declarations and Preprocessor Definitions
//------------------------------------------------------------------------------------
struct Packet;

//====================================================================================
// Interface
//====================================================================================

struct iPacketReceiver
{
  /// Receive a packet for processing.
  virtual bool ReceivePacket(Packet* packet, unsigned char type) = 0;
};

#endif // __I_PACKET_RECEIVER_H__
