/*
* messageids.h
*
* Copyright (C) 2008 Mike Gist, Jan Hosang, Daniel Burrell, Dave Lawrence, Andrew Slater
*
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation (version 2 of the License)
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*/

#ifndef __MESSAGEIDS_H__
#define __MESSAGEIDS_H__

//====================================================================================
// QT Includes
//====================================================================================

//====================================================================================
// Project Includes
//====================================================================================
#include "raknet/MessageIdentifiers.h"

//====================================================================================
// Local Includes
//====================================================================================

//------------------------------------------------------------------------------------
// Forward Declarations and Preprocessor Definitions
//------------------------------------------------------------------------------------

#define NETVERSION 0x0005

enum OurMessageIDs
{
  ID_PEER_AUTHENTICATE = ID_USER_PACKET_ENUM,
  ID_PEER_RECONNECT,
  ID_PROPOSE_PEER,
  ID_NEW_PEER,
  ID_LOST_PEER,
  ID_CHAT_EVENT,
  ID_DRAW_EVENT,
  ID_DELETE_EVENT,
  ID_MODIFY_EVENT
};

#endif // __MESSAGEIDS_H__
